
#include <gp/allocator/arena.hpp>
#include <gp/array.hpp>
#include <gp/enveloppe/cbor.hpp>
#include "test_scaffold.h"

struct cbor_test : public test_scaffold {
	cbor_test() {
		name = __FILE__ ":1";
	}

	virtual int run() {
		gp::array<char, 4096> store;
		gp::arena alloc{&*store.begin(), store.size()};
		gp::cbor_value data{alloc};
		auto gen = data.new_object();
		gen.emplace_back(uint8_t(12), int32_t(-98));
		gen.emplace_back(uint8_t(13), uint32_t(98));
		return 0;
	}
};

append_test dummy_pg5zhr8bv(new cbor_test{});